#include "ajouter_marchandise.h"
#include "ui_ajouter_marchandise.h"
#include "marchandise.h"
#include <QSystemTrayIcon>
#include "smtp.h"

ajouter_marchandise::ajouter_marchandise(QWidget *parent) :
    QMainWindow(parent),
    ui(new Ui::ajouter_marchandise)
{
    ui->setupUi(this);
}

ajouter_marchandise::~ajouter_marchandise()
{
    delete ui;
}

void ajouter_marchandise::on_pushButton_clicked()
{

    int id = ui->line_num->text().toInt();
     int prix= ui->line_prix->text().toInt();

    QString nom= ui->line_nom->text();
     int poids= ui->line_poids->text().toInt();
      QString marque= ui->line_marque->text();
  marchandise m(id,prix,nom,poids,marque);
  bool test=m.ajoutermarchandise();
  if(test)

{
      Smtp* s = new Smtp( "hajmoussa2368@gmail.com", "Hm123456", "smtp.gmail.com", 465 );
      s->sendMail("hajmoussa2368@gmail.com","youssef.ghedas@esprit.tn","une caisse a été ajouter avec succés","Mr youssef");
      notifier = new QSystemTrayIcon(this);
      notifier->setIcon(QIcon("notification.png"));
      notifier->show();
      notifier->showMessage("Succés","une commande a été ajouter avec succés",QSystemTrayIcon::Warning,10000);
      hide();
}
  else
  {
      notifier = new QSystemTrayIcon(this);
      notifier->setIcon(QIcon("notification.png"));
      notifier->show();
      notifier->showMessage("Erreur","La commande n'a pas été ajouté",QSystemTrayIcon::Warning,10000);

}
}
